# create a NodePort Service
apiVersion: v1
kind: Service
metadata:
  name: webservice
  labels:
    run: webservice
spec:
  type: NodePort
  ports:
  - port: 8080
    protocol: TCP
  selector:
    app: nginx